# Briefcase History

Returns an array of all shared applications that were offered within the last 30 days.

Endpoint: GET /briefcase/history
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Response 200:

  - `200` (unknown)
    Request successful.

## Response 200 fields (application/json):

  - `shares` (array)
    The array of shared applications for the past 30 days.

  - `shares.shareid` (string)
    Briefcase Share ID.

  - `shares.appid` (integer)
    The unique internal application ID.

  - `shares.appnumber` (string)
    Customer-provided identifier for the application.
    Example: ACME Widgets

  - `shares.party` (string)
    Name of Briefcase connection.

  - `shares.type` (string)
    Shows the application was `OFFERED` or `RECIEVED`.

  - `shares.status` (string)
    The status of the offer. It can either be `ACCEPT`, `OPEN`, or `DECLINED`.

  - `shares.offerdatetime` (string)
    Offer date and time.

  - `shares.responsedatetime` (string)
    Response to offer date and time.

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Input

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `error` (string)
    Example: Briefcase feature disabled

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503:

  - `503` (unknown)
    Server Error - Service Unavailable

## Response 503 fields (application/json):

  - `error` (string)
    Example: Service unavailable

